<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="e43c380c-a41f-41f1-817e-3ff92c8c82cf" name="Default" comment="" />
    <ignored path="web-shop.iws" />
    <ignored path=".idea/workspace.xml" />
    <ignored path=".idea/dataSources.local.xml" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ChangesViewManager" flattened_view="true" show_ignored="false" />
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FavoritesManager">
    <favorites_list name="web-shop" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file leaf-file-name="web.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/laravel/routes/web.php">
          <provider selected="true" editor-type-id="text-editor">
            <state vertical-scroll-proportion="0.45833334">
              <caret line="11" column="7" selection-start-line="11" selection-start-column="7" selection-end-line="11" selection-end-column="7" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/laravel/resources/views/subcat-home.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/cat-home.blade.php" />
        <option value="$PROJECT_DIR$/laravel/app/Models/Comment.php" />
        <option value="$PROJECT_DIR$/laravel/app/Http/Controllers/Auth/LoginController.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/product.js" />
        <option value="$PROJECT_DIR$/laravel/config/gateway.php" />
        <option value="$PROJECT_DIR$/laravel/app/Models/Order.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/basket.js" />
        <option value="$PROJECT_DIR$/laravel/resources/views/done.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/order.blade.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/order.js" />
        <option value="$PROJECT_DIR$/laravel/app/SmallPaginationPresenter.php" />
        <option value="$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Support/Facades/DB.php" />
        <option value="$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Pagination/resources/views/default.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/lang/en/pagination.php" />
        <option value="$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Pagination/resources/views/bootstrap-4.blade.php" />
        <option value="$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Pagination/custom.blade.php" />
        <option value="$PROJECT_DIR$/laravel/app/Http/Controllers/CommentController.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/comment.blade.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/cat.js" />
        <option value="$PROJECT_DIR$/laravel/resources/views/subcat.blade.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/subcat.js" />
        <option value="$PROJECT_DIR$/laravel/resources/views/edit-subcat.blade.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/products.js" />
        <option value="$PROJECT_DIR$/laravel/resources/views/products.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/edit-product.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/edit-product.blade.php" />
        <option value="$PROJECT_DIR$/laravel/config/app.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/new-subcat.js" />
        <option value="$PROJECT_DIR$/laravel/resources/views/edit-cat.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/cat.blade.php" />
        <option value="$PROJECT_DIR$/laravel/app/Http/Controllers/CatController.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/master.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/search.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/vendor/pagination/custom.blade.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/home.js" />
        <option value="$PROJECT_DIR$/laravel/resources/views/home.blade.php" />
        <option value="$PROJECT_DIR$/laravel/app/Http/Controllers/homeController.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/code.js" />
        <option value="$PROJECT_DIR$/laravel/resources/views/code.blade.php" />
        <option value="$PROJECT_DIR$/laravel/app/Models/Code.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/panel.blade.php" />
        <option value="$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Database/Eloquent/Relations/HasMany.php" />
        <option value="$PROJECT_DIR$/laravel/app/Models/Discount.php" />
        <option value="$PROJECT_DIR$/laravel/app/Models/Product.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/product.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/basket.blade.php" />
        <option value="$PROJECT_DIR$/laravel/resources/views/discount.blade.php" />
        <option value="$PROJECT_DIR$/laravel/routes/web.php" />
        <option value="$PROJECT_DIR$/assets/js/jss/discount.js" />
        <option value="$PROJECT_DIR$/laravel/app/Http/Controllers/ProductController.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
  </component>
  <component name="NamedScopeManager">
    <order />
  </component>
  <component name="PhpServers">
    <servers />
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1296" />
    <option name="height" value="696" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State>
            <id />
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>Blade files</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="false">
    <OptionsSetting value="true" id="Add" />
    <OptionsSetting value="true" id="Remove" />
    <OptionsSetting value="true" id="Checkout" />
    <OptionsSetting value="true" id="Update" />
    <OptionsSetting value="true" id="Status" />
    <OptionsSetting value="true" id="Edit" />
    <ConfirmationsSetting value="0" id="Add" />
    <ConfirmationsSetting value="0" id="Remove" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="web-shop" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="Scratches" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="settings.editor.selected.configurable" value="reference.settingsdialog.IDE.editor.colors.Font" />
    <property name="settings.editor.splitter.proportion" value="0.2" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../java-class" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="FullScreen" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\new xampp\htdocs\web-shop\assets\js\jss" />
      <recent name="F:\new xampp\htdocs\web-shop\assets\js" />
      <recent name="F:\new xampp\htdocs\web-shop\assets\img" />
      <recent name="F:\new xampp\htdocs\web-shop\assets\css" />
      <recent name="F:\new xampp\htdocs\web-shop\assets" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="F:\new xampp\htdocs\web-shop\laravel\resources\views" />
      <recent name="F:\new xampp\htdocs\web-shop\laravel\resources\views\vendor\pagination" />
      <recent name="F:\new xampp\htdocs\web-shop\assets\js" />
      <recent name="F:\new xampp\htdocs\web-shop\assets\js\jss" />
      <recent name="F:\new xampp\htdocs\web-shop\assets\img" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpBehatConfigurationType" factoryName="Behat">
      <BehatRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpLocalRunConfigurationType" factoryName="PHP Console">
      <method />
    </configuration>
    <configuration default="true" type="PhpUnitRemoteRunConfigurationType" factoryName="PHPUnit on Server">
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <pass-parent-envs>true</pass-parent-envs>
      <envs />
      <method />
    </configuration>
  </component>
  <component name="ShelveChangesManager" show_recycled="false" />
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e43c380c-a41f-41f1-817e-3ff92c8c82cf" name="Default" comment="" />
      <created>1483521411020</created>
      <option name="number" value="Default" />
      <updated>1483521411020</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1296" height="696" extended-state="6" />
    <editor active="false" />
    <layout>
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" weight="0.2328125" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Application Servers" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="3" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Gulp" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.32879046" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="Vcs.Log.UiProperties">
    <option name="RECENTLY_FILTERED_USER_GROUPS">
      <collection />
    </option>
    <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
      <collection />
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="4" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Pagination/resources/views/bootstrap-4.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.17613636">
          <caret line="22" column="29" selection-start-line="22" selection-start-column="29" selection-end-line="22" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Pagination/resources/views/simple-bootstrap-4.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Pagination/resources/views/simple-default.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Pagination/LengthAwarePaginator.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.083333336">
          <caret line="2" column="10" selection-start-line="2" selection-start-column="10" selection-end-line="2" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Pagination/resources/views/default.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-2.451613">
          <caret line="11" column="0" selection-start-line="11" selection-start-column="0" selection-end-line="26" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Http/Controllers/CommentController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-3.483871">
          <caret line="15" column="38" selection-start-line="15" selection-start-column="37" selection-end-line="15" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/js/jss/comment.js">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.4490161">
          <caret line="19" column="27" selection-start-line="0" selection-start-column="0" selection-end-line="27" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/new-cat.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-2.1290324">
          <caret line="3" column="34" selection-start-line="0" selection-start-column="0" selection-end-line="14" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/js/jss/subcat.js">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="8" column="26" selection-start-line="0" selection-start-column="0" selection-end-line="17" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/js/jss/products.js">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="8" column="23" selection-start-line="8" selection-start-column="23" selection-end-line="8" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/edit-product.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.5094697">
          <caret line="22" column="38" selection-start-line="22" selection-start-column="23" selection-end-line="22" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/products.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.59090906">
          <caret line="25" column="101" selection-start-line="25" selection-start-column="101" selection-end-line="25" selection-end-column="101" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/subcat.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.4715909">
          <caret line="21" column="113" selection-start-line="0" selection-start-column="0" selection-end-line="35" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/edit-subcat.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.875">
          <caret line="26" column="31" selection-start-line="26" selection-start-column="31" selection-end-line="26" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Models/Subcat.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.2935606">
          <caret line="12" column="13" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/storage/logs/laravel.log">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-0.0">
          <caret line="0" column="295" selection-start-line="0" selection-start-column="268" selection-end-line="0" selection-end-column="295" />
        </state>
      </provider>
      <provider editor-type-id="com.intellij.database.editor.CsvTableFileEditorProvider">
        <state />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Contracts/Auth/Access/Gate.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="5.9583335">
          <caret line="143" column="45" selection-start-line="143" selection-start-column="0" selection-end-line="144" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/edit-cat.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-12.064516">
          <caret line="17" column="10" selection-start-line="17" selection-start-column="10" selection-end-line="17" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/js/jss/cat.js">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="3" column="72" selection-start-line="3" selection-start-column="28" selection-end-line="3" selection-end-column="72" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/cat.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.33333334">
          <caret line="8" column="44" selection-start-line="8" selection-start-column="44" selection-end-line="8" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Http/Controllers/CatController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="53" column="41" selection-start-line="53" selection-start-column="41" selection-end-line="53" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/config/database.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-2.0530303">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/master.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-8.290322">
          <caret line="75" column="65" selection-start-line="75" selection-start-column="65" selection-end-line="75" selection-end-column="65" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/comment.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.43371212">
          <caret line="28" column="34" selection-start-line="0" selection-start-column="0" selection-end-line="37" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/vendor/pagination/custom.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-4.2580647">
          <caret line="6" column="53" selection-start-line="6" selection-start-column="53" selection-end-line="6" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/search.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.25">
          <caret line="6" column="30" selection-start-line="6" selection-start-column="30" selection-end-line="6" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/js/jss/home.js">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.23613596">
          <caret line="6" column="26" selection-start-line="6" selection-start-column="26" selection-end-line="6" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/js/jss/new-product.js">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.039355993">
          <caret line="6" column="20" selection-start-line="0" selection-start-column="0" selection-end-line="27" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/new-product.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-5.7419353">
          <caret line="13" column="47" selection-start-line="13" selection-start-column="0" selection-end-line="14" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/home.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.76325756">
          <caret line="25" column="16" selection-start-line="25" selection-start-column="16" selection-end-line="25" selection-end-column="16" />
          <folding>
            <element signature="e#952#986#0#HTML" expanded="false" />
            <element signature="e#2666#2693#0#HTML" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Http/Controllers/homeController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="26" column="20" selection-start-line="26" selection-start-column="20" selection-end-line="26" selection-end-column="20" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Models/Cat.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="22" selection-end-column="2" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/User.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/js/jss/code.js">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="10" column="54" selection-start-line="10" selection-start-column="54" selection-end-line="10" selection-end-column="60" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/code.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-7.806452">
          <caret line="11" column="39" selection-start-line="0" selection-start-column="0" selection-end-line="18" selection-end-column="11" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/js/jss/new-subcat.js">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.5670841">
          <caret line="20" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="25" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/new-subcat.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.38636363">
          <caret line="18" column="0" selection-start-line="18" selection-start-column="0" selection-end-line="23" selection-end-column="25" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/panel.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.89204544">
          <caret line="50" column="14" selection-start-line="50" selection-start-column="14" selection-end-line="50" selection-end-column="14" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Models/Privilege.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.7083333">
          <caret line="17" column="23" selection-start-line="17" selection-start-column="23" selection-end-line="17" selection-end-column="30" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Models/Code.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.6003788">
          <caret line="16" column="23" selection-start-line="0" selection-start-column="0" selection-end-line="21" selection-end-column="1" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/vendor/laravel/framework/src/Illuminate/Database/Eloquent/Relations/HasMany.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-13.774194">
          <caret line="47" column="0" selection-start-line="47" selection-start-column="0" selection-end-line="47" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Http/Controllers/UserController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-1.157197">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Models/Discount.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-12.354838">
          <caret line="20" column="36" selection-start-line="20" selection-start-column="36" selection-end-line="20" selection-end-column="36" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Models/Product.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.7689394">
          <caret line="31" column="23" selection-start-line="31" selection-start-column="23" selection-end-line="31" selection-end-column="36" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/product.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-3.8387096">
          <caret line="13" column="36" selection-start-line="13" selection-start-column="36" selection-end-line="13" selection-end-column="81" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/basket.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-12.935484">
          <caret line="40" column="0" selection-start-line="40" selection-start-column="0" selection-end-line="40" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/resources/views/discount.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-3.8387096">
          <caret line="35" column="65" selection-start-line="35" selection-start-column="65" selection-end-line="35" selection-end-column="65" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/assets/js/jss/discount.js">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.0">
          <caret line="23" column="7" selection-start-line="23" selection-start-column="7" selection-end-line="23" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/app/Http/Controllers/ProductController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="-0.95791584">
          <caret line="142" column="17" selection-start-line="142" selection-start-column="17" selection-end-line="142" selection-end-column="17" />
          <folding>
            <element signature="e#38#57#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laravel/routes/web.php">
      <provider selected="true" editor-type-id="text-editor">
        <state vertical-scroll-proportion="0.45833334">
          <caret line="11" column="7" selection-start-line="11" selection-start-column="7" selection-end-line="11" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>